# VERSION 1.6.X


# Set this to the channel you want JesusBot to listen on.
set channel "#CHANNEL"

# Set this to the location of the quotes file
set quotefile [open scripts/jesusbot/jesusbot.quotes r]

# Set this to the location of the triggers file
set triggerfile [open scripts/jesusbot/jesusbot.triggered r]

# Set this to the time between quotes said on the channel by JesusBot
# Valid settings are: 2, 5, 10, 15 (all are minutes)
set timed 5

# Comment this out to allow your bot to run.  I am doing this so I know 
# you will edit this file
die "EDIT YOUR CONFIG FILE!!!!!!!"

###############################################################################
# Don't edit anything beyond this point unless you know what you are doing    #
###############################################################################

if {$timed == 2} {
   bind time - "*0 * * * *" time:jesusbot:random
   bind time - "*2 * * * *" time:jesusbot:random 
   bind time - "*4 * * * *" time:jesusbot:random
   bind time - "*6 * * * *" time:jesusbot:random
   bind time - "*8 * * * *" time:jesusbot:random
} elseif {$timed == 5} {
   bind time - "*0 * * * *" time:jesusbot:random
   bind time - "*5 * * * *" time:jesusbot:random
} elseif {$timed == 10} {
   bind time - "00 * * * *" time:jesusbot:random
   bind time - "10 * * * *" time:jesusbot:random
   bind time - "20 * * * *" time:jesusbot:random
   bind time - "30 * * * *" time:jesusbot:random
   bind time - "40 * * * *" time:jesusbot:random
   bind time - "50 * * * *" time:jesusbot:random
} elseif {$timed == 15} {
   bind time - "00 * * * *" time:jesusbot:random
   bind time - "15 * * * *" time:jesusbot:random
   bind time - "30 * * * *" time:jesusbot:random
   bind time - "45 * * * *" time:jesusbot:random
} else {
   die "$timed is not a valid value for \$timed"
}
set triggerlist [split [subst -nocommands [read $triggerfile]] \n]

proc time:jesusbot:random {args} {
   global quote num channel
   jesusbot:quote:get
   if {![string compare [lindex $quote $num] ""] == 0} {
      puthelp "PRIVMSG $channel :[lindex $quote $num]"
      } else {
      jesusbot:quote:get
   }
} 
proc jesusbot:quote:get {} {
   global quotefile quote num
   set temp [read $quotefile]
   set quote [split $temp \n]
   set num [rand [llength $quote]]
   return 
}

bind pubm - "$channel *" pubm:jesusbot:get
proc pubm:jesusbot:match {nick uhost handle chan text} {
   global botnick response var channel
   jesusbot:trigger:get $text
}

proc pubm:jesusbot:get {nick uhost handle chan text} {
   global triggerfile response botnick channel triggerlist

   foreach i $triggerlist {
      if {[regexp {(.+)::(.+)} $i tmp before after]} {
         if {[string match -nocase *$before* $text]} {
            puthelp "PRIVMSG $channel :$after"
            break
         } 
      }
   }
}

putlog "JesusBot (JesusBot.tcl v1.0) by skyppey"
